
From: Andrew de Quincey <adq_dvb@lidskialf.net>

Fixes for CI interface.

Signed-off-by: Andrew de Quincey <adq_dvb@lidskialf.net>
Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/ttpci/budget-av.c |    4 +---
 1 files changed, 1 insertion(+), 3 deletions(-)

diff -puN drivers/media/dvb/ttpci/budget-av.c~dvb-budget-av-fixes-for-ci-interface drivers/media/dvb/ttpci/budget-av.c
--- devel/drivers/media/dvb/ttpci/budget-av.c~dvb-budget-av-fixes-for-ci-interface	2005-09-04 16:52:17.000000000 -0700
+++ devel-akpm/drivers/media/dvb/ttpci/budget-av.c	2005-09-04 16:52:17.000000000 -0700
@@ -192,7 +192,7 @@ static int ciintf_slot_reset(struct dvb_
 {
 	struct budget_av *budget_av = (struct budget_av *) ca->data;
 	struct saa7146_dev *saa = budget_av->budget.dev;
-	int timeout = 50; // 5 seconds (4.4.6 Ready)
+	int timeout = 500; // 5 seconds (4.4.6 Ready)
 
 	if (slot != 0)
 		return -EINVAL;
@@ -217,7 +217,6 @@ static int ciintf_slot_reset(struct dvb_
 	{
 		printk(KERN_ERR "budget-av: cam reset failed (timeout).\n");
 		saa7146_setgpio(saa, 2, SAA7146_GPIO_OUTHI); /* disable card */
-		saa7146_setgpio(saa, 0, SAA7146_GPIO_OUTHI); /* Vcc off */
 		return -ETIMEDOUT;
 	}
 
@@ -276,7 +275,6 @@ static int ciintf_poll_slot_status(struc
 		{
 			printk(KERN_INFO "budget-av: cam ejected\n");
 			saa7146_setgpio(saa, 2, SAA7146_GPIO_OUTHI); /* disable card */
-			saa7146_setgpio(saa, 0, SAA7146_GPIO_OUTHI); /* Vcc off */
 			budget_av->slot_status = 0;
 		}
 	}
_
